## Class Auth_OpenID_DiffieHellmanSHA256ServerSession

Description

A class implementing DH-SHA256 server sessions.

Located in /Auth/OpenID/Server.php (line 555)

    Auth_OpenID_DiffieHellmanSHA1ServerSession
       |
       --Auth_OpenID_DiffieHellmanSHA256ServerSession

Variable Summary
mixed $allowed_assoc_types
mixed $hash_func
mixed $session_type
Method Summary
void fromMessage ( $message)
Variables
mixed $allowed_assoc_types = array('HMAC-SHA256') (line 560)

Redefinition of:

Auth_OpenID_DiffieHellmanSHA1ServerSession::$allowed_assoc_types

mixed $hash_func = 'Auth_OpenID_SHA256' (line 559)

Redefinition of:

Auth_OpenID_DiffieHellmanSHA1ServerSession::$hash_func

mixed $session_type = 'DH-SHA256' (line 558)

Redefinition of:

Auth_OpenID_DiffieHellmanSHA1ServerSession::$session_type
  An object that knows how to handle association requests with the Diffie-Hellman session type.

#### Inherited Variables

Inherited from Auth_OpenID_DiffieHellmanSHA1ServerSession

> Auth_OpenID_DiffieHellmanSHA1ServerSession::$needs_math

Methods
fromMessage (line 562)
void fromMessage ( $message)

- $message

Redefinition of:

Auth_OpenID_DiffieHellmanSHA1ServerSession::fromMessage()

#### Inherited Methods

Inherited From Auth_OpenID_DiffieHellmanSHA1ServerSession

> Auth_OpenID_DiffieHellmanSHA1ServerSession::Auth_OpenID_DiffieHellmanSHA1ServerSession()
> Auth_OpenID_DiffieHellmanSHA1ServerSession::answer()
> Auth_OpenID_DiffieHellmanSHA1ServerSession::fromMessage()
> Auth_OpenID_DiffieHellmanSHA1ServerSession::getDH()

Documentation generated on Tue, 21 Apr 2009 11:31:32 -0700 by phpDocumentor 1.3.2